## org.apache.batik.bridge.svg12
Class XPathPatternContentSelector.NSPrefixResolver

    java.lang.Object
      org.apache.batik.bridge.svg12.XPathPatternContentSelector.NSPrefixResolver

All Implemented Interfaces:
  org.apache.xml.utils.PrefixResolver

Enclosing class:
  XPathPatternContentSelector

    protected class XPathPatternContentSelector.NSPrefixResolver

extends java.lang.Object
implements org.apache.xml.utils.PrefixResolver

Xalan prefix resolver.

Constructor Summary
`protected` `XPathPatternContentSelector.NSPrefixResolver()`

Method Summary
`java.lang.String` `getBaseIdentifier()` Get the base URI for this resolver.
`java.lang.String` `getNamespaceForPrefix(java.lang.String prefix)` Resolves the given namespace prefix.
`java.lang.String` `getNamespaceForPrefix(java.lang.String prefix, org.w3c.dom.Node context)` Resolves the given namespace prefix.
`boolean` `handlesNullPrefixes()` Returns whether this PrefixResolver handles a null prefix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathPatternContentSelector.NSPrefixResolver

    protected XPathPatternContentSelector.NSPrefixResolver()

Method Detail

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Get the base URI for this resolver. Since this resolver isn't associated with a particular node, returns null.

  Specified by:
    `getBaseIdentifier` in interface `org.apache.xml.utils.PrefixResolver`

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Resolves the given namespace prefix.

  Specified by:
    `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  org.w3c.dom.Node context)

  Resolves the given namespace prefix.

  Specified by:
    `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`

### handlesNullPrefixes

    public boolean handlesNullPrefixes()

  Returns whether this PrefixResolver handles a null prefix.

  Specified by:
    `handlesNullPrefixes` in interface `org.apache.xml.utils.PrefixResolver`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.